# eric7.Plugins.WizardPlugins.SetupWizard.AddEntryPointDialog

Module implementing a dialog to enter the data for an entry point.

### Global Attributes

None

### Classes

AddEntryPointDialog | Class implementing a dialog to enter the data for an entry point.

### Functions

None

## AddEntryPointDialog

Class implementing a dialog to enter the data for an entry point.

### Derived from

QDialog, Ui_AddEntryPointDialog

### Class Attributes

None

### Class Methods

None

### Methods

AddEntryPointDialog | Constructor
__updateOK | Private slot to update the enabled state of the OK button.
getEntryPoint | Public method to get the data for the entry point.
on_scriptButton_clicked | Private slot to select a script via a file selection dialog.

### Static Methods

None

#### AddEntryPointDialog (Constructor)

AddEntryPointDialog(rootDirectory, epType="", name="", script="", parent=None)

Constructor

rootDirectory (str)
  root directory for selecting script modules via a file selection dialog
epType (str (optional))
  type of the entry point (defaults to "")
name (str (optional))
  name of the entry point (defaults to "")
script (str (optional))
  script function of the entry point (defaults to "")
parent (QWidget (optional))
  reference to the parent widget (defaults to None)

#### AddEntryPointDialog.__updateOK

__updateOK()

Private slot to update the enabled state of the OK button.

#### AddEntryPointDialog.getEntryPoint

getEntryPoint()

Public method to get the data for the entry point.

Return:
  tuple containing the entry point type, category, name and script function

Return Type:
  tuple of (str, str, str)

#### AddEntryPointDialog.on_scriptButton_clicked

on_scriptButton_clicked()

Private slot to select a script via a file selection dialog.

Up